
TYPO3.Flow - Bug # 28294

Status: Resolved Priority: Must have
Author: Robert Lemke Category: Core
Created: 2011-07-18 Assigned To: Robert Lemke
Updated: 2011-07-19 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Command is not run in compile time if command identifier is abbreviated
Description

If a compiletime command is run through an short command identifier such as:

./flow3 cache:flush

the bootstrap does not recognize the command as a compile time command and runs it in runtime mode. This can lead to unexpected
results.

Related issues:
related to TYPO3.Flow - Feature # 28172: Provide CommandManager Resolved 2011-07-13

Associated revisions
Revision 540082f7 - 2011-07-18 14:45 - Robert Lemke

[BUGFIX] Command is not run in compile time if identifier is abbreviated

This patch makes sure that compile time commands are always specified
by their full command identifier.

Change-Id: Ibf218e690c1763c09c56ca1886297ffc06604a1f
Resolves: #28294

History
#1 - 2011-07-18 14:45 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Ibf218e690c1763c09c56ca1886297ffc06604a1f has been pushed to the review server.
It is available at http://review.typo3.org/3397

#2 - 2011-07-18 15:48 - Bastian Waidelich

This should be fixed with #28172 We need to check, whether this conflicts with #28172

#3 - 2011-07-19 17:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:540082f7b55e7dfda1ec2eddddc1048c7160e9d5.
